local M = {}
M.type = "auxiliary"
M.relevantDevice = nil
local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local left_shaft = nil
local right_shaft = nil

local steering = 0

local function updateGFX(dt)
    -- find the steering input
	steering = electrics.values.steering_input
    
    -- we change the gear ratios on the fly depending on the speed we want out of that shaft
    left_shaft.gearRatio = 1 - 0.5 * steering
    right_shaft.gearRatio = 1 + 0.5 * steering
end

local function init(jbeamData)
	--two split shafts to vary the gear ratio of
	left_shaft = powertrain.getDevice("left_shaft")
	right_shaft = powertrain.getDevice("right_shaft")
end

M.onInit = init
M.onReset = init
M.updateGFX = updateGFX

return M
